import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  appointmentId: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  npiProviderId: SortOrderSchema.optional(),
  fee: SortOrderSchema.optional()
}).strict();
export const AppointmentProcedureSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentProcedureSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentProcedureSumOrderByAggregateInput>;
export const AppointmentProcedureSumOrderByAggregateInputObjectZodSchema = makeSchema();
